configurator.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/appender.h>`
`#include <log4cplus/logger.h>`
`#include <log4cplus/helpers/pointer.h>`
`#include <log4cplus/helpers/property.h>`
`#include <map>`
Include dependency graph for configurator.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::PropertyConfigurator
| Provides configuration from an external file. More...
class | log4cplus::BasicConfigurator
| Use this class to quickly configure the package. More...
class | log4cplus::ConfigureAndWatchThread

## Namespaces

namespace | log4cplus